import Dexie from "dexie";
export declare type TopicID = {
    id: string;
    tid: string;
    mid: string;
    type: number;
    status: number;
    create_time: number;
};
export declare type Topic = {
    id: string;
    tid: string;
    name: string;
    create_time: number;
};
declare class TopicDetail {
    static authorize: boolean;
    private topicDBIds?;
    private topic?;
    Event: {
        hootCommentChange: string;
    };
    init(db: Dexie): void;
    putTopic(topics: Topic[]): Promise<void>;
    bulkGetIds(): Promise<TopicID[] | undefined>;
    bulkGetRecentMonth(count?: number): Promise<TopicID[] | undefined>;
    getAllTopicFeed(): Promise<TopicID[] | undefined>;
    bulkPutTopic(topics: TopicID[]): void;
    getTopic(ids?: string[]): Promise<Topic[] | undefined>;
    getMomentByTid(tid: string): Promise<TopicID[] | undefined>;
    searchTopic(name: string): Promise<Topic[] | undefined>;
    publishNC(data: Topic[]): void;
}
export declare const topicDetail: TopicDetail;
export default topicDetail;
